Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.action
Class MergeIncludedProjects

    java.lang.Object
      javax.swing.AbstractAction
          edu.stanford.smi.protege.util.StandardAction
              edu.stanford.smi.protege.action.ProjectAction
                  edu.stanford.smi.protege.action.LocalProjectAction
                      edu.stanford.smi.protege.action.MergeIncludedProjects

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

    public class MergeIncludedProjects

extends LocalProjectAction

This action removes the "inclusion" flag from all frames. When the current project is saved it will then contain copies of the frames of all the included projects.

Author:
  Ray Fergerson
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.smi.protege.util.StandardAction
`DISABLED_ICON`

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`MergeIncludedProjects()`

Method Summary
`void` | `actionPerformed(ActionEvent event)`

Methods inherited from class edu.stanford.smi.protege.action.ProjectAction
`getCommandManager, getKnowledgeBase, getMainPanel, getProject, getProjectManager, getProjectView`

Methods inherited from class edu.stanford.smi.protege.util.StandardAction
`equals, getIcon, getName, getName, initialize, setDescription, setDescription, setDisabledIcon, setDisabledIcon, setIcon, setIcon, setMnemonic, setMnemonic, setName, setName, setShortcut, setShortcut, substituteIntoName`

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MergeIncludedProjects

    public MergeIncludedProjects()

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent event)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.